%{!?kernel: %{expand: %%define kernel %(uname -r)}}
%define name eagle-usb
%define ver 1.9.6
%define rel 1
%define prefix /usr/local

Summary: Utilities for Eagle driven usb modem
Name: %{name}
Version: %{ver}
Release: %{rel}
License: GPL
Group: Networking/Daemons
Packager: Herve Guehl <herve@linusk.net>
Source0: %{name}-%{ver}.tar.bz2
URL: http://sourceforge.net/projects/eagle-usb/
Buildroot: %{_tmppath}/%{name}-root
Provides: %{name} = %{ver}
#Obsoletes: %{name} < %{ver}, 
Obsoletes: adiusbadsl, eagle

%description
This is an enhanced version of the Linux driver for DSL modems based
on the Analog chipset Eagle 8051. The Sagem F@st 800 modem as well as
USRobotics DSL modems are based on this chipset.
  The latest revision of this driver can be found at the following URL:

http://eagle-usb.ath.cx

  You'll find a french newsgroup dedicated to this driver at
the following URL too:

http://eagle-usb.ath.cx

%prep

%setup -q

%build
./autogen.sh
./configure --prefix=%{prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post

%preun
/usr/local/sbin/fctStopAdsl -sf
# remove hotplug specific scripts
if [ -d /usr/lib/hotplug/eagle-usb ] ; then
	rm -Rf /usr/lib/hotplug/eagle-usb
	update-usb.usermap 0>/dev/null 1>/dev/null 2>/dev/null
fi
# disable [and remove] autostart service
if test -e /etc/init.d/eagle-usb ; then \
	chkconfig --del eagle-usb 0>/dev/null 1>/dev/null 2>/dev/null ; \
	update-rc.d -f eagle-usb remove 0>/dev/null 1>/dev/null 2>/dev/null ; \
	rm -f /etc/init.d/eagle-usb ; \
fi
if test -e /etc/init.d/internet ; then \
	chkconfig --del internet 0>/dev/null 1>/dev/null 2>/dev/null ; \
fi

%postun
hash -r

%files
%defattr(-,root,root)
#%doc README TODO
/usr/local/sbin/fctStartAdsl
/usr/local/sbin/fctStopAdsl
/usr/local/sbin/startadsl
/usr/local/sbin/startmire
/usr/local/sbin/stopadsl
/usr/local/sbin/eagleconfig
/usr/local/sbin/eaglectrl
/usr/local/sbin/eaglediag
/usr/local/sbin/eaglestat
/usr/local/sbin/pppoa
/etc/eagle-usb/lang/de
/etc/eagle-usb/lang/en
/etc/eagle-usb/lang/es
/etc/eagle-usb/lang/fr
/etc/eagle-usb/lang/f2
/etc/eagle-usb/lang/it
/etc/eagle-usb/lang/pl
/etc/eagle-usb/lang/p2
/etc/eagle-usb/scripts/eagle-usb.conf.template
/etc/eagle-usb/scripts/eu_dsp
/etc/eagle-usb/scripts/eu_init
/etc/eagle-usb/scripts/options
/etc/eagle-usb/scripts/setvars
/etc/eagle-usb/scripts/testconnec
/etc/eagle-usb/scripts/usb.usermap
/etc/eagle-usb/scripts/lock
/etc/eagle-usb/dsp_code_pots.bin
/etc/eagle-usb/dsp_code_isdn.bin
/etc/sysconfig/network-scripts/net_cnx_*
#% config(noreplace) /etc/eagle-usb/eagle-usb.conf

%changelog 
* Fri Feb 20 2004 Olivier Borowski <coin@tuxfamily.org> 1.9.6
- ChangeLog: check http://eagle-usb.ath.cx

* Sat Feb 14 2004 Olivier Borowski <coin@tuxfamily.org> 1.9.5
- ChangeLog: check http://eagle-usb.ath.cx

* Mon Dec 22 2003 Herv Guehl <herve@linusk.net> 1.9.0
- Initial Revision (RH9.0 - kernel2.6)

#=============================== kernel module ===============================
%package module-%{kernel}
Summary: Kernel module for Eagle driven usb modem
Group:System Environment/Kernel

%description module-%{kernel}
Kernel module for Analog chipset Eagle 8051 The Sagem F@st 800/908 modem as well as
USRobotics DSL modems are based on this chipset.

%pre module-%{kernel}

%post module-%{kernel}
depmod -a

%preun module-%{kernel}
rmmod eagle-usb

%postun module-%{kernel}
depmod -a

%files module-%{kernel}
/lib/modules/%{kernel}/misc/eagle-usb.*

%changelog module-%{kernel}
* Fri Feb 20 2004 Olivier Borowski <coin@tuxfamily.org> 1.9.6
- ChangeLog: check http://eagle-usb.ath.cx

* Sat Feb 14 2004 Olivier Borowski <coin@tuxfamily.org> 1.9.5
- ChangeLog: check http://eagle-usb.ath.cx

* Mon Dec 22 2003 Herv Guehl <herve@linusk.net> 1.9.0
- Initial Revision (RH9.0 - kernel2.6)
